#!/bin/bash

# Set the robotpkg remote / branch when we can't use the main one

PKG=${1/py-}
REPO=https://gitlab.laas.fr/gepetto/robotpkg
BRANCH=ci/$PKG

if curl -I "$REPO/tree/$BRANCH" | head -n1 | grep -q 200
then
    git remote set-url origin $REPO
    git fetch
    git checkout "$BRANCH"
fi

if curl -I "$REPO-wip/tree/$BRANCH" | head -n1 | grep -q 200
then
    cd wip || exit
    git remote set-url origin $REPO-wip
    git fetch
    git checkout "$BRANCH"
fi
